SELECT
    Orders.id, 
    Customers.id,
    Customers.name,
    Items.id, 
    Items.description, 
    Items.price, 
    OrderItems.quantity,
    OrderItems.quantity * Items.price
FROM 
    Orders 
    JOIN Customers ON Customers.id = Orders.customerId
    JOIN OrderItems ON OrderItems.orderId = Orders.id 
    JOIN Items ON items.id = orderItems.itemId
ORDER BY
    Orders.id