SELECT 
    oi1.orderId AS `OrderID 1`,
    oi1.itemId AS `ItemId 1`,
    oi1.quantity AS `Quantity 1`,
    oi2.orderId AS `OrderID 2`,
    oi2.itemId AS `ItemId 2`,
    oi2.quantity AS `Quantity 2`
FROM
    OrderItems oi1
	JOIN OrderItems oi2 ON 
		oi1.orderId <> oi2.orderId AND 
        oi2.itemId = oi1.itemId AND 
        oi2.quantity > oi1.quantity
ORDER BY 
    `ItemId 1`, `OrderId 1`