DROP TABLE IF EXISTS OrderItems;
DROP TABLE IF EXISTS orders;
DROP TABLE IF EXISTS Items;
DROP TABLE IF EXISTS Customers;

CREATE TABLE Customers(
  id INT NOT NULL,
  name varchar(50) NOT NULL,
  PRIMARY KEY (id)
);
CREATE TABLE Items(
  id INT NOT NULL,
  description varchar(100) NOT NULL,
  price decimal(7,2) NOT NULL,
  PRIMARY KEY (id)
);
CREATE TABLE orders(
  id INT NOT NULL,
  customerId int NOT NULL,
  FOREIGN KEY FK_Orders_Customers (customerId) REFERENCES Customers(id),
  PRIMARY KEY PK_Orders (id)
);

CREATE TABLE OrderItems(
  id INT NOT NULL,
  orderId INT NOT NULL,
  itemId INT NOT NULL,
  quantity INT NOT NULL,
  
  FOREIGN KEY FK_OrderItems_Orders (orderId) REFERENCES Orders(id),
  FOREIGN KEY FK_OrderItems_Items (itemId) REFERENCES Items(id),
  PRIMARY KEY PK_OrderItems (id)
);
